import { StyleSheet } from 'fela-tools'
import { COLOR } from '../../core/constants'
import fill from '../../rules/fill/fill'

export default StyleSheet.create({
  blackout: ({ show, visible }) => ({
    backgroundColor: COLOR.BLACKOUT,
    display: visible ? 'block' : 'none',
    cursor: show ? 'pointer' : 'default',
    extend: fill()
  })
})
