import {
  testSnapshot,
  wrapComponent
} from '../../test-utils'
import Input from './input.vue'

describe('Input', () => {
  it('renders expected snapshots', () => {
    testSnapshot(wrapComponent(Input, {
      propsData: {
        id: 'email',
        type: 'email',
        value: 'abcd',
        label: 'Email Address',
        placeholder: 'joe@blogs.com'
      }
    }))
  })
})
