import { StyleSheet } from 'fela-tools'
import { FONT } from '../../core/constants'
import displayRule from '../../rules/display/display'

export default StyleSheet.create({
  svg: displayRule,
  font: ({ size, color, display }) => ({
    fontFamily: FONT.FAMILY.ICONS,
    fontWeight: 'normal',
    fontStyle: 'normal',

    fontSize: size,
    height: size,
    width: size,

    textRendering: 'optimizeLegibility',
    fontSmoothing: 'antialiased',
    fontFeatures: 'liga',

    letterSpacing: 'normal',
    textTransform: 'none',
    lineHeight: 1,

    whiteSpace: 'nowrap',
    wordWrap: 'normal',
    direction: 'ltr',

    display,
    color
  })
})
